package com.zd.laboratory.domain.vo;

import com.zd.common.core.enums.HardwareTypeEnum;
import com.zd.common.core.enums.RiskHardwareTypeEnum;
import com.zd.laboratory.domain.LabControl;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

/**
 * Controller
 *
 * @author cyl
 * @date 2021/9/18
 */
@ApiModel("控制记录表")
public class LabControlVO extends LabControl {

    @ApiModelProperty("实验室名称")
    private String subjectName;

    @ApiModelProperty("开始时间")
    private Date beginTime;

    @ApiModelProperty("结束时间")
    private Date endTime;

    @ApiModelProperty("硬件类型枚举")
    private RiskHardwareTypeEnum hardwareTypeEnum;

    @ApiModelProperty("月份1")
    private String monthOne;

    @ApiModelProperty("月份2")
    private String monthTwo;

    @ApiModelProperty("月份3")
    private String monthThree;

    @ApiModelProperty("月份4")
    private String monthFour;

    @ApiModelProperty("月份5")
    private String monthFive;

    @ApiModelProperty("月份6")
    private String monthSix;

    @ApiModelProperty("月份7")
    private String monthSeven;

    @ApiModelProperty("月份8")
    private String monthEight;

    @ApiModelProperty("月份9")
    private String monthNine;

    @ApiModelProperty("月份10")
    private String monthTen;

    @ApiModelProperty("月份11")
    private String monthEleven;

    @ApiModelProperty("月份12")
    private String monthTwelve;

    @ApiModelProperty("开始时间")
    private String beginTimeStr;

    @ApiModelProperty("结束时间")
    private String endTimeStr;

    @ApiModelProperty("结束时间")
    private String groupDeptId;

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public Date getBeginTime() {
        return beginTime;
    }

    public void setBeginTime(Date beginTime) {
        this.beginTime = beginTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public RiskHardwareTypeEnum getHardwareTypeEnum() {
        return hardwareTypeEnum;
    }

    public void setHardwareTypeEnum(RiskHardwareTypeEnum hardwareTypeEnum) {
        this.hardwareTypeEnum = hardwareTypeEnum;
    }

    public String getMonthOne() {
        return monthOne;
    }

    public void setMonthOne(String monthOne) {
        this.monthOne = monthOne;
    }

    public String getMonthTwo() {
        return monthTwo;
    }

    public void setMonthTwo(String monthTwo) {
        this.monthTwo = monthTwo;
    }

    public String getMonthThree() {
        return monthThree;
    }

    public void setMonthThree(String monthThree) {
        this.monthThree = monthThree;
    }

    public String getMonthFour() {
        return monthFour;
    }

    public void setMonthFour(String monthFour) {
        this.monthFour = monthFour;
    }

    public String getMonthFive() {
        return monthFive;
    }

    public void setMonthFive(String monthFive) {
        this.monthFive = monthFive;
    }

    public String getMonthSix() {
        return monthSix;
    }

    public void setMonthSix(String monthSix) {
        this.monthSix = monthSix;
    }

    public String getMonthSeven() {
        return monthSeven;
    }

    public void setMonthSeven(String monthSeven) {
        this.monthSeven = monthSeven;
    }

    public String getMonthEight() {
        return monthEight;
    }

    public void setMonthEight(String monthEight) {
        this.monthEight = monthEight;
    }

    public String getMonthNine() {
        return monthNine;
    }

    public void setMonthNine(String monthNine) {
        this.monthNine = monthNine;
    }

    public String getMonthTen() {
        return monthTen;
    }

    public void setMonthTen(String monthTen) {
        this.monthTen = monthTen;
    }

    public String getMonthEleven() {
        return monthEleven;
    }

    public void setMonthEleven(String monthEleven) {
        this.monthEleven = monthEleven;
    }

    public String getMonthTwelve() {
        return monthTwelve;
    }

    public void setMonthTwelve(String monthTwelve) {
        this.monthTwelve = monthTwelve;
    }


    public String getBeginTimeStr() {
        return beginTimeStr;
    }

    public void setBeginTimeStr(String beginTimeStr) {
        this.beginTimeStr = beginTimeStr;
    }

    public String getEndTimeStr() {
        return endTimeStr;
    }

    public void setEndTimeStr(String endTimeStr) {
        this.endTimeStr = endTimeStr;
    }

    public String getGroupDeptId() {
        return groupDeptId;
    }

    public void setGroupDeptId(String groupDeptId) {
        this.groupDeptId = groupDeptId;
    }
}
